From a84561fc27a2f716c81d6c860cdc80e062914087 Mon Sep 17 00:00:00 2001
From: maciozo <maciozo@maciozo.com>
Date: Sat, 4 May 2019 22:26:02 +0100
Subject: [PATCH 1/2] [WIP] New package: libircclient-1.10

---
 srcpkgs/libircclient-devel                    |  1 +
 srcpkgs/libircclient/files/libircclient.pc    |  7 +++
 .../patches/build_shared_and_static.patch     | 19 +++++++
 srcpkgs/libircclient/template                 | 54 +++++++++++++++++++
 4 files changed, 81 insertions(+)
 create mode 120000 srcpkgs/libircclient-devel
 create mode 100644 srcpkgs/libircclient/files/libircclient.pc
 create mode 100644 srcpkgs/libircclient/patches/build_shared_and_static.patch
 create mode 100644 srcpkgs/libircclient/template

diff --git a/srcpkgs/libircclient-devel b/srcpkgs/libircclient-devel
new file mode 120000
index 00000000000..2dfa3a687e7
--- /dev/null
+++ b/srcpkgs/libircclient-devel
@@ -0,0 +1 @@
+libircclient
\ No newline at end of file
diff --git a/srcpkgs/libircclient/files/libircclient.pc b/srcpkgs/libircclient/files/libircclient.pc
new file mode 100644
index 00000000000..ca92609cb9c
--- /dev/null
+++ b/srcpkgs/libircclient/files/libircclient.pc
@@ -0,0 +1,7 @@
+prefix=/usr
+libdir=${prefix}/lib
+
+Name: libircclient
+Description: IRC client library
+Version: 1.10
+Libs: -L${libdir} -lircclient -lcrypto -lssl
diff --git a/srcpkgs/libircclient/patches/build_shared_and_static.patch b/srcpkgs/libircclient/patches/build_shared_and_static.patch
new file mode 100644
index 00000000000..ae4cc764585
--- /dev/null
+++ b/srcpkgs/libircclient/patches/build_shared_and_static.patch
@@ -0,0 +1,19 @@
+*** src/Makefile.in.old	2019-05-04 19:22:44.323241339 +0100
+--- src/Makefile.in	2019-05-04 19:26:35.051551494 +0100
+***************
+*** 9,15 ****
+  
+  OBJS = libircclient.o
+  
+! all:	@TARGET@
+  
+  static:	libircclient.a
+  shared: libircclient.so
+--- 9,15 ----
+  
+  OBJS = libircclient.o
+  
+! all: libircclient.so libircclient.a
+  
+  static:	libircclient.a
+  shared: libircclient.so
diff --git a/srcpkgs/libircclient/template b/srcpkgs/libircclient/template
new file mode 100644
index 00000000000..d4ebe4d9e2e
--- /dev/null
+++ b/srcpkgs/libircclient/template
@@ -0,0 +1,54 @@
+# Template file for 'libircclient'
+pkgname=libircclient
+version=1.10
+revision=1
+build_style=gnu-configure
+configure_args="--enable-openssl --enable-ipv6 --enable-shared"
+makedepends="libressl-devel"
+short_desc="IRC client library"
+maintainer="maciozo@maciozo.com <maciozo@maciozo.com>"
+license="LGPL-3.0-or-later"
+homepage="https://www.ulduzsoft.com/linux/libircclient/"
+distfiles="https://netix.dl.sourceforge.net/project/libircclient/libircclient/${version}/libircclient-${version}.tar.gz"
+checksum=bbb26f3af348b252c5204917a7f91cfdf172f1b6afbf4df1e561b03e20503c2d
+
+case "$XBPS_TARGET_MACHINE" in
+	*-musl)	depends+=" musl-devel";;
+	*)		depends+=" glibc-devel";;
+esac
+
+do_install() {
+	mkdir -p ${PKGDESTDIR}/usr/lib
+	mkdir -p ${PKGDESTDIR}/usr/include
+	mkdir -p ${PKGDESTDIR}/doc/sources
+	cp ${wrksrc}/src/*.so ${PKGDESTDIR}/usr/lib/
+	cp ${wrksrc}/src/*.a ${PKGDESTDIR}/usr/lib/
+
+	for _sharedlib in ${PKGDESTDIR}/usr/lib/*.so; do
+		echo $(basename ${_sharedlib})
+		_soname=$(objdump -p ${_sharedlib} | awk '/SONAME/ {print $2}')
+		ln -s $(basename ${_sharedlib}) ${PKGDESTDIR}/usr/lib/${_soname}
+	done
+
+	cp ${wrksrc}/include/* ${PKGDESTDIR}/usr/include/
+	cp ${wrksrc}/doc/*.rst ${PKGDESTDIR}/doc/
+	cp ${wrksrc}/doc/sources/*.rst ${PKGDESTDIR}/doc/sources/
+}
+
+libircclient-devel_package() {
+	depends="${sourcepkg}>=${version}_${revision}"
+	short_desc+=" - development files"
+
+	pkg_install() {
+		mkdir -p ${PKGDESTDIR}/usr/share/doc/${pkgname}
+		mv ${DESTDIR}/doc/* ${PKGDESTDIR}/usr/share/doc/${pkgname}
+
+		mkdir -p ${PKGDESTDIR}/usr/lib/pkgconfig
+		cp ${FILESDIR}/libircclient.pc ${PKGDESTDIR}/usr/lib/pkgconfig/
+
+
+		vmove usr/include
+		vmove "usr/lib/*.a"
+		vman man/libircclient.1
+	}
+}

From 0afb1199f41f461e1f8f0aa57f7eeabf14ee10c9 Mon Sep 17 00:00:00 2001
From: maciozo <maciozo@maciozo.com>
Date: Sat, 4 May 2019 22:26:02 +0100
Subject: [PATCH 2/2] [WIP] New package: libircclient-1.10

---
 srcpkgs/libircclient-devel                    |  1 +
 srcpkgs/libircclient/files/libircclient.pc    |  7 +++
 .../patches/build_shared_and_static.patch     | 19 +++++++
 srcpkgs/libircclient/template                 | 54 +++++++++++++++++++
 4 files changed, 81 insertions(+)
 create mode 120000 srcpkgs/libircclient-devel
 create mode 100644 srcpkgs/libircclient/files/libircclient.pc
 create mode 100644 srcpkgs/libircclient/patches/build_shared_and_static.patch
 create mode 100644 srcpkgs/libircclient/template

diff --git a/srcpkgs/libircclient-devel b/srcpkgs/libircclient-devel
new file mode 120000
index 00000000000..2dfa3a687e7
--- /dev/null
+++ b/srcpkgs/libircclient-devel
@@ -0,0 +1 @@
+libircclient
\ No newline at end of file
diff --git a/srcpkgs/libircclient/files/libircclient.pc b/srcpkgs/libircclient/files/libircclient.pc
new file mode 100644
index 00000000000..ca92609cb9c
--- /dev/null
+++ b/srcpkgs/libircclient/files/libircclient.pc
@@ -0,0 +1,7 @@
+prefix=/usr
+libdir=${prefix}/lib
+
+Name: libircclient
+Description: IRC client library
+Version: 1.10
+Libs: -L${libdir} -lircclient -lcrypto -lssl
diff --git a/srcpkgs/libircclient/patches/build_shared_and_static.patch b/srcpkgs/libircclient/patches/build_shared_and_static.patch
new file mode 100644
index 00000000000..ae4cc764585
--- /dev/null
+++ b/srcpkgs/libircclient/patches/build_shared_and_static.patch
@@ -0,0 +1,19 @@
+*** src/Makefile.in.old	2019-05-04 19:22:44.323241339 +0100
+--- src/Makefile.in	2019-05-04 19:26:35.051551494 +0100
+***************
+*** 9,15 ****
+  
+  OBJS = libircclient.o
+  
+! all:	@TARGET@
+  
+  static:	libircclient.a
+  shared: libircclient.so
+--- 9,15 ----
+  
+  OBJS = libircclient.o
+  
+! all: libircclient.so libircclient.a
+  
+  static:	libircclient.a
+  shared: libircclient.so
diff --git a/srcpkgs/libircclient/template b/srcpkgs/libircclient/template
new file mode 100644
index 00000000000..d4ebe4d9e2e
--- /dev/null
+++ b/srcpkgs/libircclient/template
@@ -0,0 +1,54 @@
+# Template file for 'libircclient'
+pkgname=libircclient
+version=1.10
+revision=1
+build_style=gnu-configure
+configure_args="--enable-openssl --enable-ipv6 --enable-shared"
+makedepends="libressl-devel"
+short_desc="IRC client library"
+maintainer="maciozo@maciozo.com <maciozo@maciozo.com>"
+license="LGPL-3.0-or-later"
+homepage="https://www.ulduzsoft.com/linux/libircclient/"
+distfiles="https://netix.dl.sourceforge.net/project/libircclient/libircclient/${version}/libircclient-${version}.tar.gz"
+checksum=bbb26f3af348b252c5204917a7f91cfdf172f1b6afbf4df1e561b03e20503c2d
+
+case "$XBPS_TARGET_MACHINE" in
+	*-musl)	depends+=" musl-devel";;
+	*)		depends+=" glibc-devel";;
+esac
+
+do_install() {
+	mkdir -p ${PKGDESTDIR}/usr/lib
+	mkdir -p ${PKGDESTDIR}/usr/include
+	mkdir -p ${PKGDESTDIR}/doc/sources
+	cp ${wrksrc}/src/*.so ${PKGDESTDIR}/usr/lib/
+	cp ${wrksrc}/src/*.a ${PKGDESTDIR}/usr/lib/
+
+	for _sharedlib in ${PKGDESTDIR}/usr/lib/*.so; do
+		echo $(basename ${_sharedlib})
+		_soname=$(objdump -p ${_sharedlib} | awk '/SONAME/ {print $2}')
+		ln -s $(basename ${_sharedlib}) ${PKGDESTDIR}/usr/lib/${_soname}
+	done
+
+	cp ${wrksrc}/include/* ${PKGDESTDIR}/usr/include/
+	cp ${wrksrc}/doc/*.rst ${PKGDESTDIR}/doc/
+	cp ${wrksrc}/doc/sources/*.rst ${PKGDESTDIR}/doc/sources/
+}
+
+libircclient-devel_package() {
+	depends="${sourcepkg}>=${version}_${revision}"
+	short_desc+=" - development files"
+
+	pkg_install() {
+		mkdir -p ${PKGDESTDIR}/usr/share/doc/${pkgname}
+		mv ${DESTDIR}/doc/* ${PKGDESTDIR}/usr/share/doc/${pkgname}
+
+		mkdir -p ${PKGDESTDIR}/usr/lib/pkgconfig
+		cp ${FILESDIR}/libircclient.pc ${PKGDESTDIR}/usr/lib/pkgconfig/
+
+
+		vmove usr/include
+		vmove "usr/lib/*.a"
+		vman man/libircclient.1
+	}
+}
